rem echo off

REM AUXILLIARY DOS BATCH FILE TO INSTALL THE INMOS C TOOLSET RELEASE
REM FROM 720K DISKS
REM 
REM Copyright (C) INMOS Ltd, 1990, 1991.

REM %1 = source, now in ictools destination directory

REM build the directory structure

mkdir itools
mkdir tools
mkdir libs
mkdir iserver
mkdir source
mkdir source\iserver
mkdir source\imakef
mkdir source\driver
mkdir examples
mkdir examples\simple
mkdir examples\config
mkdir examples\config\b008
mkdir examples\imakef
mkdir examples\debugger
mkdir examples\linkboot
mkdir iterms

REM copy archives from disk 1

copy %1:\tools1.exe tools
copy %1:\tools3.exe itools
copy %1:\libs3.exe libs
copy %1:\eg6.exe examples\linkboot

REM next disk

echo INSERT DISK 2
PAUSE

vol %1: > NUL

REM copy archives from disk 2

copy %1:\tools5.exe itools
copy %1:\tools2.exe itools
copy %1:\eg2.exe examples\config
copy %1:\source4.exe source\driver

REM next disk
	
echo INSERT DISK 3
PAUSE

vol %1: > NUL

REM copy archives from disk 3

copy %1:\libs5.exe libs
copy %1:\tools6.exe itools
copy %1:\tools4.exe tools
copy %1:\eg1.exe examples\simple

REM next disk

echo INSERT DISK 4
PAUSE

vol %1: > NUL

REM copy archives from disk 4

copy %1:\libs6.exe libs
copy %1:\libs8.exe libs
copy %1:\libs9.exe libs
copy %1:\source1.exe source\iserver
copy %1:\libs7.exe libs

REM next disk

echo INSERT DISK 5
PAUSE

vol %1: > NUL

REM copy archives from disk 5

copy %1:\eg3.exe examples\imakef
copy %1:\iterms1.exe iterms
copy %1:\eg4.exe examples\debugger
copy %1:\eg5.exe examples\config\b008
copy %1:\libs1.exe libs
copy %1:\iserver1.exe iserver
copy %1:\libs2.exe libs
copy %1:\source2.exe source\iserver
copy %1:\source3.exe source\imakef
copy %1:\libs4.exe libs

REM build the library LBB files

copy yesorno.exe libs

cd libs

yesorno Do you require 16 bit support ?
IF ERRORLEVEL 1 GOTO BIT32
echo libc2.lib > libc.lbb
echo libc2red.lib > libcred.lbb
echo centry2.lib > centry.lbb

yesorno Do you require T225 support ?
IF ERRORLEVEL 1 GOTO BIT32
echo libc3.lib >> libc.lbb
echo libc3red.lib >> libcred.lbb

:BIT32
yesorno Do you require 32 bit support ?
IF ERRORLEVEL 1 GOTO DEARC

yesorno Do you require T8 support ?
IF ERRORLEVEL 1 GOTO NONFP
echo libc8.lib >> libc.lbb
echo libc8red.lib >> libcred.lbb
echo centry8.lib >> centry.lbb

:NONFP

yesorno Do you require T4,TA and TB support ?
IF ERRORLEVEL 1 GOTO DEARC
echo libca.lib >> libc.lbb
echo libcared.lib >> libcred.lbb
echo libcb.lib >> libc.lbb
echo libcbred.lib >> libcred.lbb
echo centrya.lib >> centry.lbb

yesorno Do you require T425 support ?
IF ERRORLEVEL 1 GOTO DEARC
echo libc5.lib >> libc.lbb
echo libc5red.lib >> libcred.lbb

:DEARC

cd ..

echo DEARCHIVING - NO FURTHER USER INTERACTION IS REQUIRED

REM dearc the servers

cd iserver
iserver1
del iserver1.exe

REM dearchive the transputer tools

cd ..\itools

tools2
del tools2.exe
tools3
del tools3.exe
tools5
del tools5.exe
tools6
del tools6.exe

copy driver.exe icc.exe
copy driver.exe icconf.exe
copy driver.exe icollect.exe
copy driver.exe icvemit.exe
copy driver.exe icvlink.exe
copy driver.exe iemit.exe
copy driver.exe ieprom.exe
copy driver.exe ilibr.exe
copy driver.exe ilink.exe
copy driver.exe ilist.exe
copy driver.exe imakef.exe
copy driver.exe idump.exe
copy driver.exe iskip.exe
copy driver.exe idebug.exe
ren  driver.exe isim.exe

REM dearchive the hosted tools

cd ..\tools

tools1
del tools1.exe
tools4
del tools4.exe

REM dearchive the libraries

cd ..\libs

libs1
del libs1.exe
libs2
del libs2.exe
libs3
del libs3.exe
libs4
del libs4.exe
libs5
del libs5.exe
libs6
del libs6.exe
libs7
del libs7.exe
libs8
del libs8.exe
libs9
del libs9.exe

REM build the libraries

echo BUILDING THE LIBRARIES

copy ..\tools\ilibr.exe .

echo BUILDING THE STANDARD LIBRARY

ilibr /f libc.lbb /o libc.lib
del libc2.lib
del libc3.lib
del libc5.lib
del libc8.lib
del libca.lib
del libcb.lib
del libc.lbb

echo BUILDING THE REDUCED LIBRARY

ilibr /f libcred.lbb /o libcred.lib
del libc2red.lib
del libc3red.lib
del libc5red.lib
del libc8red.lib
del libcared.lib
del libcbred.lib
del libcred.lbb

echo BUILDING THE ENTRY POINT LIBRARY

ilibr /f centry.lbb /o centry.lib
del centrya.lib
del centry8.lib
del centry2.lib
del centry.lbb

del ilibr.exe

REM dearchive the server source

cd ..\source\iserver

source1
del source1.exe
source2
del source2.exe

REM dearchive the imakef source

cd ..\imakef

source3
del source3.exe

REM dearchive the driver source

cd ..\driver

source4
del source4.exe

REM dearchive the iterm files

cd ..\..\iterms

REM dearchive the iterms

iterms1
del iterms1.exe

REM dearchive the examples

cd ..\examples\simple

eg1
del eg1.exe

cd ..\config

eg2
del eg2.exe

cd b008

eg5
del eg5.exe

cd ..\..\imakef

eg3
del eg3.exe

cd ..\debugger

eg4
del eg4.exe

cd ..\linkboot

eg6
del eg6.exe

REM clean up

cd ..\..

del yesorno.exe
del libs\yesorno.exe

echo INSTALLATION COMPLETE
echo YOU MAY DELETE INSTALL2.BAT








